<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%@page contentType="text/html" pageEncoding="UTF-8" %>

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.esri.com/adf/web" prefix="a"%>
<%@ page language="java" import="java.util.Locale" %>

<html>
  <head>
    <title>Group Renderer Sample</title>
    <link rel="stylesheet" href="css/soria.all.css.min.css" type="text/css"/></link>
    <link rel="stylesheet" href="css/adf.css"     type="text/css"/></link>
  </head>
  <body>        
    <script type="text/javascript" language="javascript" src="js/esri/dojo/dojo.js" djConfig="locale:'<%=Locale.getDefault().toString().replace('_', '-').toLowerCase()%>' "></script>
    <script type="text/javascript">
      adfdojo.require("adf.adf");
      adfdojo.requireLocalization("resource","adf");
    </script>
      
    <f:view>
      <h:form id="frmMap">
        <a:context value="#{mapContext}" />
        <table width="100%">
          <tr align="CENTER">
            <td>
              <table style="border:1px solid #000000;">
                <tr align="CENTER">
                  <td colspan="3">
                    <a:toolbar id="toolbar2" mapId="map" toolbarStyle="TEXTONLY">
                      <a:tool id="groupRendererGraphicsLayer" clientAction="adf.MapPolyline" 
                              serverMethod="#{mapContext.attributes.myCustomAttribute.addGroupRendererGraphicsLayer}" 
                              toolText="GroupRenderer" toolTip="Click to Add Group Renderer Graphics Layer using Polyline tool" 
                              cursor="crosshair" />	
                      <a:command id="clearGraphicsLayer" action="#{mapContext.attributes.myCustomAttribute.clearGraphicsLayers}" 
                                 toolText="Clear"/>                    
                    </a:toolbar>
                  </td>
                </tr>
                <tr>
                  <td valign="TOP">
                    <a:toc id="toc" mapId="map" value="#{mapContext.webToc}" style="border:1px solid #000000;height:600px;width:200px;" />
                  </td>
                  <td valign="TOP">
                    <a:map id="map" value="#{mapContext.webMap}" width="600" height="600" style="border:1px solid #000000;" />
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </h:form>
    </f:view>
  </body>
</html>
